Answered
0
0

I want to use FMOD with Google Daydream. I’m using UE4 4.12. I’m able to package up the project successfully for arm7 [aka armeabi-v7a], but if I try to package with support for arm64 [aka arm64-v8a], the Unreal Build Tool complains that it cannot find -lfmodstudioL. Any idea about when an arm64-v8a compatible libfmodstudio.so would be available?

Thanks,
-Stanley

P.S. I know that I’ll also need version of libovrfmod.so complied with support for arm64-v8a and I’ve already asked on the Oculus Audio forum about that. https://forums.oculus.com/developer/discussion/41626/does-fmod-plugin-for-arm64-exist/p1?new=1
Have you been in communication with Oculus about getting FMOD working for Google Daydream?

  • You must to post comments
Best Answer
0
0

FMOD works with arm64 but you’ll need to download the .so files from the “Programmers API for Android” and put them in the FMODStudio binaries directory yourself.

Please see the “Deployment on other Android architectures” section here:
http://www.fmod.org/documentation/#content/generated/engine_ue4/deployment.html

  • You must to post comments
Great Answer
0
0

Ah, yes, found them. They were in fmodstudioapi10809android\api\studio\lib\arm64-v8a.

Thanks,
-Stanley

  • You must to post comments
Showing 2 results
Your Answer

Please first to submit.